<?php
//initialize the session
if (!isset($_SESSION)) {
  session_start();
}

// ** Logout the current user. **
$logoutAction = $_SERVER['PHP_SELF']."?doLogout=true";
if ((isset($_SERVER['QUERY_STRING'])) && ($_SERVER['QUERY_STRING'] != "")){
  $logoutAction .="&". htmlentities($_SERVER['QUERY_STRING']);
}

if ((isset($_GET['doLogout'])) &&($_GET['doLogout']=="true")){
  //to fully log out a visitor we need to clear the session varialbles
  $_SESSION['MM_Username'] = NULL;
  $_SESSION['MM_UserGroup'] = NULL;
  $_SESSION['PrevUrl'] = NULL;
  unset($_SESSION['MM_Username']);
  unset($_SESSION['MM_UserGroup']);
  unset($_SESSION['PrevUrl']);
	
  $logoutGoTo = "login.php";
  if ($logoutGoTo) {
    header("Location: $logoutGoTo");
    exit;
  }
}
?>
<?php
if (!isset($_SESSION)) {
  session_start();
}
$MM_authorizedUsers = "1,2";
$MM_donotCheckaccess = "false";

// *** Restrict Access To Page: Grant or deny access to this page
function isAuthorized($strUsers, $strGroups, $UserName, $UserGroup) { 
  // For security, start by assuming the visitor is NOT authorized. 
  $isValid = False; 

  // When a visitor has logged into this site, the Session variable MM_Username set equal to their username. 
  // Therefore, we know that a user is NOT logged in if that Session variable is blank. 
  if (!empty($UserName)) { 
    // Besides being logged in, you may restrict access to only certain users based on an ID established when they login. 
    // Parse the strings into arrays. 
    $arrUsers = Explode(",", $strUsers); 
    $arrGroups = Explode(",", $strGroups); 
    if (in_array($UserName, $arrUsers)) { 
      $isValid = true; 
    } 
    // Or, you may restrict access to only certain users based on their username. 
    if (in_array($UserGroup, $arrGroups)) { 
      $isValid = true; 
    } 
    if (($strUsers == "") && false) { 
      $isValid = true; 
    } 
  } 
  return $isValid; 
}

$MM_restrictGoTo = "login.php?login=false";
if (!((isset($_SESSION['MM_Username'])) && (isAuthorized("",$MM_authorizedUsers, $_SESSION['MM_Username'], $_SESSION['MM_UserGroup'])))) {   
  $MM_qsChar = "?";
  $MM_referrer = $_SERVER['PHP_SELF'];
  if (strpos($MM_restrictGoTo, "?")) $MM_qsChar = "&";
  if (isset($QUERY_STRING) && strlen($QUERY_STRING) > 0) 
  $MM_referrer .= "?" . $QUERY_STRING;
  $MM_restrictGoTo = $MM_restrictGoTo. $MM_qsChar . "accesscheck=" . urlencode($MM_referrer);
  header("Location: ". $MM_restrictGoTo); 
  exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><!-- InstanceBegin template="/Templates/template.dwt.php" codeOutsideHTMLIsLocked="false" -->
<head>
<!-- InstanceBeginEditable name="doctitle" -->
<title>The Vecta Corp Company Intranet</title>
<!-- InstanceEndEditable -->


<!-- InstanceBeginEditable name="head" --><!-- InstanceEndEditable -->
<link href="styles.css" rel="stylesheet" type="text/css" />
</head>

<body bgcolor="#FFFFFF">
<table width="697" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td colspan="2"><img src="Images/header.gif" width="697" height="227" /></td>
  </tr>
  <tr>
    <td width="235" valign="top" class="navbg"><ul>
      <li><a href="index.html">Home</a></li>
      <li><a href="#">HelpDesk</a></li>
      <li><a href="#"> Directory</a></li>
      <li><a href="employeestore.php">Store</a></li>
      <li><a href="admin.php">Admin</a></li>
      <li><a href="search.php">Search</a></li>
      <li><a href="<?php echo $logoutAction ?>">Log Out</a></li>
    </ul></td>
    <td width="462" valign="top" bgcolor="#FFFFFF"><!-- InstanceBeginEditable name="Header Image" --><img src="Images/subheader_welcome.gif" width="121" height="27" /><!-- InstanceEndEditable --><br />
        <br />
        <!-- InstanceBeginEditable name="Content" -->With innovative approaches and advanced methodologies, Vecta Corp. provides   scalable business solutions to help companies achieve success through revenue   increase, cost management, and user satisfaction. Our approach stems from the   three most important business growth aspects: helping companies reach prospects,   assist in converting prospects to customers, and assist in retaining those   customers. This is accomplished through our interactive solutions and expertise   in providing a memorable and positive user experience.<!-- InstanceEndEditable --></td>
  </tr>
  <tr>
    <td colspan="2"><img src="Images/footer.gif" width="697" height="35" /></td>
  </tr>
</table>
</body>
<!-- InstanceEnd --></html>